# Shared-Xorb R2 GET plan for a bounded file page

`POST /v1/datasets/download/presign-batch`

Presign each distinct Xorb once across an ownership-checked file page.

- Base URL: `https://junction-api.qualiastudios.dev`
- Authentication: an API key in the `X-API-Key` header, or `Authorization: Bearer …`

## Request body

Required: `application/json` `DownloadPresignBatchBody`

## Responses

- `200` Successful Response: `application/json` `any`
- `401` Invalid or missing API key: `application/json` `ErrorResponse`
- `422` Validation Error: `application/json` `HTTPValidationError`

## Schemas

```yaml
DownloadPresignBatchBody:
  properties:
    name:
      type: string
    file_ids:
      items:
        type: string
        format: uuid
      type: array
      maxItems: 4096
      minItems: 1
    ttl_seconds:
      type: integer
      maximum: 86400
      minimum: 60
      default: 3600
  additionalProperties: false
  type: object
  required:
    - name
    - file_ids
  title: DownloadPresignBatchBody
ErrorResponse:
  properties:
    detail:
      type: string
      description: Error message describing what went wrong
  type: object
  required:
    - detail
  title: ErrorResponse
  description: Standard error response.
HTTPValidationError:
  properties:
    detail:
      items:
        $ref: "#/components/schemas/ValidationError"
      type: array
  type: object
  title: HTTPValidationError
ValidationError:
  properties:
    loc:
      items:
        type:
          - string
          - integer
      type: array
      title: Location
    msg:
      type: string
      title: Message
    type:
      type: string
      title: Error Type
    input: {}
    ctx:
      type: object
      title: Context
  type: object
  required:
    - loc
    - msg
    - type
  title: ValidationError
```
